# Frames Extraction

Extract frames from video, save as files and generates sprites
combining those frames with a specified row and column size.

## Configuration

Can be updated using `.env` file.

`FRAME_SIZE` - extract every n amount of frames defaults to `30` which is every one second if video has 30 fps

`FRAMES_DIR` - directory where to store (after sprite generation it gets cleaned up) `./frames` it will be remove

`SPRITES_DIR` - directory where to store generated `./sprites`

`SPRITE_ROW_SIZE` - elements in one row, defaults to `6`

`SPRITE_MAX_LINES` - max lines in one sprite, defaults to `12`

## Commands

`yarn` install dependencies

`yarn dev` run in dev mode using ts-node
